import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading BixolonMediaSensorTypeToGeneric Converter")

class BixolonMediaSensorTypeToGeneric(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "Continuous":
            res = "None"
        elif args[0] == "Gap":
            res = "Gap"
        elif args[0] == "Mark sensing":
            res = "Mark"
        return res




plugin = BixolonMediaSensorTypeToGeneric("BixolonMediaSensorTypeToGeneric")

store.AddConverter(plugin)